import { jsx } from "react/jsx-runtime";
import { TokenALGO as TokenALGO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenALGO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ALGO", "data-name": "TokenALGO", ...props, children: /* @__PURE__ */ jsx(TokenALGO$1, { variant }) });
  }
);
TokenALGO.displayName = "TokenALGO";
Object.assign(TokenALGO, { isGdsIcon: true });
export {
  TokenALGO
};
